routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('books','BookController');

app/Book.php
namespace App;


use Mongodb\Mongodb\Eloquent\Model as Eloquent;


class Book extends Eloquent

{

	protected $connection = 'mongodb';

	protected $collection = 'books';


    /**

     * The attributes that are mass assignable.

     *

     * @var array

     */

    protected $fillable = [

        'name', 'detail'

    ];

}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/BookController.php
<?php


namespace App\Http\Controllers;


use App\Book;

use Illuminate\Http\Request;


class BookController extends Controller

{

    /**

     * Display a listing of the resource.

     *

     * @return \Illuminate\Http\Response

     */

    public function index()

    {

        $books = Book::all();

        return view('books.index',compact('books'))

            ->with('i', (request()->input('page', 1) - 1) * 5);

    }


    /**

     * Show the form for creating a new resource.

     *

     * @return \Illuminate\Http\Response

     */

    public function create()

    {

        return view('books.create');

    }


    /**

     * Store a newly created resource in storage.

     *

     * @param  \Illuminate\Http\Request  $request

     * @return \Illuminate\Http\Response

     */

    public function store(Request $request)

    {

        request()->validate([

            'name' => 'required',

            'detail' => 'required',

        ]);


        Book::create($request->all());


        return redirect()->route('books.index')

                        ->with('success','Book created successfully.');

    }


    /**

     * Display the specified resource.

     *

     * @param  \App\Book  $book

     * @return \Illuminate\Http\Response

     */

    public function show(Book $book)

    {

        return view('books.show',compact('book'));

    }


    /**

     * Show the form for editing the specified resource.

     *

     * @param  \App\Book  $book

     * @return \Illuminate\Http\Response

     */

    public function edit(Book $book)

    {

        return view('books.edit',compact('book'));

    }


    /**

     * Update the specified resource in storage.

     *

     * @param  \Illuminate\Http\Request  $request

     * @param  \App\Book  $book

     * @return \Illuminate\Http\Response

     */

    public function update(Request $request, Book $book)

    {

         request()->validate([

            'name' => 'required',

            'detail' => 'required',

        ]);


        $book->update($request->all());


        return redirect()->route('books.index')

                        ->with('success','Book updated successfully');

    }

    /**

     * Remove the specified resource from storage.

     *

     * @param  \App\Book  $book

     * @return \Illuminate\Http\Response

     */

    public function destroy(Book $book)

    {

        $book->delete();


        return redirect()->route('books.index')

                        ->with('success','Book deleted successfully');

    }

}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

resources/views/books/create.blade.php
@extends('books.layout')


@section('content')

    <div class="row">

        <div class="col-lg-12 margin-tb">

            <div class="pull-left">

                <h2>Add New Book</h2>

            </div>

            <div class="pull-right">

                <a class="btn btn-primary" href="{{ route('books.index') }}"> Back</a>

            </div>

        </div>

    </div>


    @if ($errors->any())

        <div class="alert alert-danger">

            <strong>Whoops!</strong> There were some problems with your input.<br><br>

            <ul>

                @foreach ($errors->all() as $error)

                    <li>{{ $error }}</li>

                @endforeach

            </ul>

        </div>

    @endif


    <form action="{{ route('books.store') }}" method="POST">

    	@csrf


         <div class="row">

		    <div class="col-xs-12 col-sm-12 col-md-12">

		        <div class="form-group">

		            <strong>Name:</strong>

		            <input type="text" name="name" class="form-control" placeholder="Name">

		        </div>

		    </div>

		    <div class="col-xs-12 col-sm-12 col-md-12">

		        <div class="form-group">

		            <strong>Detail:</strong>

		            <textarea class="form-control" style="height:150px" name="detail" placeholder="Detail"></textarea>

		        </div>

		    </div>

		    <div class="col-xs-12 col-sm-12 col-md-12 text-center">

		            <button type="submit" class="btn btn-primary">Submit</button>

		    </div>

		</div>


    </form>


@endsection

resources/views/books/edit.blade.php
@extends('books.layout')


@section('content')

    <div class="row">

        <div class="col-lg-12 margin-tb">

            <div class="pull-left">

                <h2>Edit Book</h2>

            </div>

            <div class="pull-right">

                <a class="btn btn-primary" href="{{ route('books.index') }}"> Back</a>

            </div>

        </div>

    </div>


    @if ($errors->any())

        <div class="alert alert-danger">

            <strong>Whoops!</strong> There were some problems with your input.<br><br>

            <ul>

                @foreach ($errors->all() as $error)

                    <li>{{ $error }}</li>

                @endforeach

            </ul>

        </div>

    @endif


    <form action="{{ route('books.update',$book->id) }}" method="POST">

    	@csrf

        @method('PUT')


         <div class="row">

		    <div class="col-xs-12 col-sm-12 col-md-12">

		        <div class="form-group">

		            <strong>Name:</strong>

		            <input type="text" name="name" value="{{ $book->name }}" class="form-control" placeholder="Name">

		        </div>

		    </div>

		    <div class="col-xs-12 col-sm-12 col-md-12">

		        <div class="form-group">

		            <strong>Detail:</strong>

		            <textarea class="form-control" style="height:150px" name="detail" placeholder="Detail">{{ $book->detail }}</textarea>

		        </div>

		    </div>

		    <div class="col-xs-12 col-sm-12 col-md-12 text-center">

		      <button type="submit" class="btn btn-primary">Submit</button>

		    </div>

		</div>


    </form>


@endsection

resources/views/books/index.blade.php
@extends('books.layout')


@section('content')

    <div class="row">

        <div class="col-lg-12 margin-tb">

            <div class="pull-left">

                <h2>Books</h2>

            </div>

            <div class="pull-right">

                <a class="btn btn-success" href="{{ route('books.create') }}"> Create New Book</a>

            </div>

        </div>

    </div>


    @if ($message = Session::get('success'))

        <div class="alert alert-success">

            <p>{{ $message }}</p>

        </div>

    @endif


    <table class="table table-bordered">

        <tr>

            <th>No</th>

            <th>Name</th>

            <th>Details</th>

            <th width="280px">Action</th>

        </tr>

	    @foreach ($books as $book)

	    <tr>

	        <td>{{ ++$i }}</td>

	        <td>{{ $book->name }}</td>

	        <td>{{ $book->detail }}</td>

	        <td>

                <form action="{{ route('books.destroy',$book->id) }}" method="POST">

                    <a class="btn btn-info" href="{{ route('books.show',$book->id) }}">Show</a>

                    <a class="btn btn-primary" href="{{ route('books.edit',$book->id) }}">Edit</a>

                    @csrf

                    @method('DELETE')

                    <button type="submit" class="btn btn-danger">Delete</button>

                </form>

	        </td>

	    </tr>

	    @endforeach

    </table>


@endsection

resources/views/books/layout.blade.php
<!DOCTYPE html>

<html>

<head>

	<title>Laravel 5.6 CRUD Application</title>

	<link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0-alpha/css/bootstrap.css" rel="stylesheet">

</head>

<body>


<div class="container">

    @yield('content')

</div>


</body>

</html>

resources/views/books/show.blade.php
@extends('books.layout')


@section('content')

    <div class="row">

        <div class="col-lg-12 margin-tb">

            <div class="pull-left">

                <h2> Show Book</h2>

            </div>

            <div class="pull-right">

                <a class="btn btn-primary" href="{{ route('books.index') }}"> Back</a>

            </div>

        </div>

    </div>


    <div class="row">

        <div class="col-xs-12 col-sm-12 col-md-12">

            <div class="form-group">

                <strong>Name:</strong>

                {{ $book->name }}

            </div>

        </div>

        <div class="col-xs-12 col-sm-12 col-md-12">

            <div class="form-group">

                <strong>Details:</strong>

                {{ $book->detail }}

            </div>

        </div>

    </div>

@endsection